class SparaMem
  def initialize
    @store = {}
  end

  def set(key, value)
    @store[key] = value
  end

  def get(key)
    @store[key]
  end

  def del(key)
    @store.delete(key)
  end

  def keys
    @store.keys
  end

  def vals
    @store.values
  end

  def all
    @store
  end

  def clean!
    @store = {}
  end
end
